# LunarBBS

In space, no one can hear you call.

A 2024 BBS software. Rust powered, Diesel fueled, Tokio async.

## Todo List

- [X] Logging
- [ ] Diesel Database backend
  - [ ] Users
  - [ ] Mail
- [ ] Toml Configuration
  - [ ] Main Config
  - [ ] Mailareas
  - [ ] Fileareas
  - [ ] Menus?
  - [ ] Login Items?
- [ ] SSH frontend
- [ ] Telnet frontend (Or are we a BBS of the \_\_future\_\_?)
- [ ] Web accessory?
  - Mail access
  - Maybe do something like Mystic and allow playing doors
  - Configuration Editor UI?
- [ ] Configuration Editor?
- [ ] Scripting
  - [ ] RHAI? (Seems newer/up-to-date)
  - [ ] Rune? (Seems older than RHAI)
  - [ ] Lua? (Gag, and loose the power of Rust?)
